Package com.avaya.clientservices.presence

## Enum PresenceState

- java.lang.Object
- - java.lang.Enum<PresenceState>
  - - com.avaya.clientservices.presence.PresenceState

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<PresenceState>`

      public enum PresenceState
      extends java.lang.Enum<PresenceState>

  Enumeration representing presence state of a user.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AVAILABLE` | Presence state is available.
    `AWAY` | Presence state indicating that the user is away from their client.
    `BUSY` | Presence state indicating that the user is busy, e.g.
    `DO_NOT_DISTURB` | Presence state indicating that currently the user does not want other people to contact them.
    `OFFLINE` | Presence state indicating that the user is offline, i.e.
    `ON_A_CALL` | Presence state indicating that the user is currently on a call.
    `OUT_OF_OFFICE` | Presence state indicating that the user is not in the office.
    `UNKNOWN` | Presence state is unknown.
    `UNSPECIFIED` | Presence state is not specified.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static PresenceState` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static PresenceState[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNSPECIFIED

          public static final PresenceState UNSPECIFIED

      Presence state is not specified.

    - #### UNKNOWN

          public static final PresenceState UNKNOWN

      Presence state is unknown.

    - #### AVAILABLE

          public static final PresenceState AVAILABLE

      Presence state is available.

    - #### ON_A_CALL

          public static final PresenceState ON_A_CALL

      Presence state indicating that the user is currently on a call.

    - #### BUSY

          public static final PresenceState BUSY

      Presence state indicating that the user is busy, e.g. in a meeting.

    - #### AWAY

          public static final PresenceState AWAY

      Presence state indicating that the user is away from their client.

    - #### DO_NOT_DISTURB

          public static final PresenceState DO_NOT_DISTURB

      Presence state indicating that currently the user does not want other people to contact them.

    - #### OUT_OF_OFFICE

          public static final PresenceState OUT_OF_OFFICE

      Presence state indicating that the user is not in the office.

    - #### OFFLINE

          public static final PresenceState OFFLINE

      Presence state indicating that the user is offline, i.e. not using any client.

  - ### Method Detail

    - #### values

          public static PresenceState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PresenceState c : PresenceState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PresenceState valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null